Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007312 [DCSS] Patches minor N/A 2013-07-05 18:24 2013-08-25 01:08
Reporter pubby View Status public  
Assigned To KiloByte
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007312: Fix do_shaft: allow it to work anywhere.
Description I found this bug while coding dwants/formicids, and figured I should submit it separately in case they never make it into trunk :(

It fixes shafting to actually work when not standing over a trap, for instance from chaos brand. For monsters this was being properly handled.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Fix-do_shaft-allow-it-to-work-anywhere.patch [^] (1,180 bytes) 2013-07-05 18:24 [Show Content]

- Relationships

-  Notes
(0023864)
KiloByte (manager)
2013-08-25 01:08

Applied, thanks!

"You can't go down here!", heh.

- Issue History
Date Modified Username Field Change
2013-07-05 18:24 pubby New Issue
2013-07-05 18:24 pubby File Added: 0001-Fix-do_shaft-allow-it-to-work-anywhere.patch
2013-08-05 18:04 MarvinPA Issue Monitored: MarvinPA
2013-08-25 01:08 KiloByte Note Added: 0023864
2013-08-25 01:08 KiloByte Status new => resolved
2013-08-25 01:08 KiloByte Fixed in Branch => 0.13 development branch
2013-08-25 01:08 KiloByte Resolution open => done
2013-08-25 01:08 KiloByte Assigned To => KiloByte
2013-08-27 19:55 MarvinPA Issue End Monitor: MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker